Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

templateId
string
required
passId
string
required

Query Parameters

accountId
string

Response

The current details of a pass instance

The current details of a pass instance

id
string
required

Id is a unique identifier of the pass, it could be a voucher code or membership id

Minimum string length: 1
templateId
string
required

Template id used by this voucher

accountId
string
required

The account id that created the pass/template

code
string
required

The code that is used as data in the QR Code. This can be different to the id if you wish to have a url or more data in the QR code.

Minimum string length: 1
expiry
string<date-time> | null
required

The UTC date at which the pass expires. If this is not provided the voucher will have no expiry.

validFrom
string<date-time> | null
required

The UTC date at which the pass becomes valid. If this is not provided the pass is valid from when it is created.

voided
boolean
default:false
required

Set this to true once the pass has been used

primaryValue
string

Required for 'generic' pass types.

metadata
object

Metadata is for your internal use. It is not exposed to users through passes. The metadata is limited to 5000 characters when serialized to JSON.

fields
object[]
Maximum array length: 4
backFields
object[]

The values can be text, numbers or urls.